import 'dart:convert';

import 'package:http/http.dart' as http;

import 'attribute.dart';
import 'tag.dart';

dynamic _reponseJsonCache;

Future<dynamic> getHtmlData() async {
  if (_reponseJsonCache != null) {
    return Future.value(_reponseJsonCache);
  }
  final response = await http.get(Uri.parse(
      'https://raw.githubusercontent.com/microsoft/vscode-custom-data/b50e90f682fd4f3a4f99d7770ff16b30f5264f3f/web-data/data/browsers.html-data.json'));

  return _reponseJsonCache = jsonDecode(response.body);
}

Future<List<Tag>> getHtmlTags() async {
  final json = await getHtmlData();
  final List<Tag> tags = [];

  for (final tag in json['tags']) {
    tags.add(Tag.fromJson(tag));
  }

  return tags;
}

Future<List<Attribute>> getHtmlGlobalAttributes() async {
  final json = await getHtmlData();
  final List<Attribute> attributes = [];
  for (final attribute in json['globalAttributes']) {
    attributes.add(
      Attribute.fromJson(attribute),
    );
  }
  return attributes;
}
