import 'package:recase/recase.dart';

import '../overrides.dart';

class Attribute {
  Attribute({
    required this.name,
    required this.description,
    required this.valueSet,
  })  : this.argument = attributeDartArgumentNameOverrides[name.camelCase] ??
            name.camelCase,
        this.type = _parseType(
          name,
          valueSet,
        );
  final String name;
  final String argument;
  final String? description;
  final String? valueSet;
  final String type;

  @override
  bool operator ==(other) {
    if (other is! Attribute) {
      return false;
    }
    return hashCode == other.hashCode;
  }

  @override
  int get hashCode => argument.hashCode;

  Attribute.fromJson(Map<String, dynamic> json)
      : this(
          name: json['name'] as String,
          description: json['description'] != null && json['description'] is Map
              ? json['description']['value'] as String
              : json['description'],
          valueSet: json['valueSet'] as String?,
        );
}

// TODO read from
// https://github.com/microsoft/vscode-custom-data/blob/main/web-data/html/valueSets.json
String _parseType(String name, String? valueSet) {
  if (valueSet == null) {
    return attributeDartTypeOverrides[name] ?? 'String';
  }

  switch (valueSet) {
    case 'v':
    case 'b':
      return 'bool';
  }

  print('TODO unknown valueSet: $valueSet');

  return attributeDartTypeOverrides[name] ?? 'String';
}
