import 'package:recase/recase.dart';

import 'attribute.dart';
import 'reference.dart';
import '../overrides.dart';

class Tag {
  Tag({
    required this.name,
    required this.description,
    required this.attributes,
    required this.references,
  }) : this.className =
            tagDartNameOverrides[name.pascalCase] ?? name.pascalCase;
  final String name;
  final String className;
  final String? description;
  final List<Attribute> attributes;
  final List<Reference> references;

  Tag.fromJson(Map<String, dynamic> json)
      : this(
          name: json['name'],
          description: json['description'] != null
              ? json['description']['value'] as String
              : null,
          attributes: (json['attributes'] ?? [])
              .map<Attribute>(
                  (dynamic attribute) => Attribute.fromJson(attribute))
              .toList(),
          references: json['references']
              .map<Reference>(
                  (dynamic reference) => Reference.fromJson(reference))
              .toList(),
        );
}
