final tagDartNameOverrides = {
  'Map': 'HtmlMap',
  'Object': 'HtmlObject',
};

final eventAttributeDartTypeOverrides = {
  'onabort': 'EventHandler',
  'onabortcapture': 'EventHandler',
  'onanimationend': 'AnimationEventHandler',
  'onanimationendcapture': 'AnimationEventHandler',
  'onanimationiteration': 'AnimationEventHandler',
  'onanimationiterationcapture': 'AnimationEventHandler',
  'onanimationstart': 'AnimationEventHandler',
  'onanimationstartcapture': 'AnimationEventHandler',
  'onauxclick': 'MouseEventHandler',
  'onauxclickcapture': 'MouseEventHandler',
  'onbeforeinput': 'FormEventHandler',
  'onbeforeinputcapture': 'FormEventHandler',
  'onblur': 'FocusEventHandler',
  'onblurcapture': 'FocusEventHandler',
  'oncanplay': 'EventHandler',
  'oncanplaycapture': 'EventHandler',
  'oncanplaythrough': 'EventHandler',
  'oncanplaythroughcapture': 'EventHandler',
  'onchange': 'FormEventHandler',
  'onchangecapture': 'FormEventHandler',
  'onclick': 'MouseEventHandler',
  'onclickcapture': 'MouseEventHandler',
  'oncompositionend': 'CompositionEventHandler',
  'oncompositionendcapture': 'CompositionEventHandler',
  'oncompositionstart': 'CompositionEventHandler',
  'oncompositionstartcapture': 'CompositionEventHandler',
  'oncompositionupdate': 'CompositionEventHandler',
  'oncompositionupdatecapture': 'CompositionEventHandler',
  'oncontextmenu': 'MouseEventHandler',
  'oncontextmenucapture': 'MouseEventHandler',
  'oncopy': 'ClipboardEventHandler',
  'oncopycapture': 'ClipboardEventHandler',
  'oncut': 'ClipboardEventHandler',
  'oncutcapture': 'ClipboardEventHandler',
  'ondblclick': 'MouseEventHandler',
  'ondoubleclick': 'MouseEventHandler',
  'ondoubleclickcapture': 'MouseEventHandler',
  'ondrag': 'DragEventHandler',
  'ondragcapture': 'DragEventHandler',
  'ondragend': 'DragEventHandler',
  'ondragendcapture': 'DragEventHandler',
  'ondragenter': 'DragEventHandler',
  'ondragentercapture': 'DragEventHandler',
  'ondragexit': 'DragEventHandler',
  'ondragexitcapture': 'DragEventHandler',
  'ondragleave': 'DragEventHandler',
  'ondragleavecapture': 'DragEventHandler',
  'ondragover': 'DragEventHandler',
  'ondragovercapture': 'DragEventHandler',
  'ondragstart': 'DragEventHandler',
  'ondragstartcapture': 'DragEventHandler',
  'ondrop': 'DragEventHandler',
  'ondropcapture': 'DragEventHandler',
  'ondurationchange': 'EventHandler',
  'ondurationchangecapture': 'EventHandler',
  'onemptied': 'EventHandler',
  'onemptiedcapture': 'EventHandler',
  'onencrypted': 'EventHandler',
  'onencryptedcapture': 'EventHandler',
  'onended': 'EventHandler',
  'onendedcapture': 'EventHandler',
  'onerror': 'EventHandler',
  'onerrorcapture': 'EventHandler',
  'onfocus': 'FocusEventHandler',
  'onfocuscapture': 'FocusEventHandler',
  'onformchange': 'FormEventHandler',
  'onforminput': 'FormEventHandler',
  'ongotpointercapture': 'PointerEventHandler',
  'ongotpointercapturecapture': 'PointerEventHandler',
  'oninput': 'FormEventHandler',
  'oninputcapture': 'FormEventHandler',
  'oninvalid': 'FormEventHandler',
  'oninvalidcapture': 'FormEventHandler',
  'onkeydown': 'KeyboardEventHandler',
  'onkeydowncapture': 'KeyboardEventHandler',
  'onkeypress': 'KeyboardEventHandler',
  'onkeypresscapture': 'KeyboardEventHandler',
  'onkeyup': 'KeyboardEventHandler',
  'onkeyupcapture': 'KeyboardEventHandler',
  'onload': 'EventHandler',
  'onloadcapture': 'EventHandler',
  'onloadeddata': 'EventHandler',
  'onloadeddatacapture': 'EventHandler',
  'onloadedmetadata': 'EventHandler',
  'onloadedmetadatacapture': 'EventHandler',
  'onloadstart': 'EventHandler',
  'onloadstartcapture': 'EventHandler',
  'onlostpointercapture': 'PointerEventHandler',
  'onlostpointercapturecapture': 'PointerEventHandler',
  'onmousedown': 'MouseEventHandler',
  'onmousedowncapture': 'MouseEventHandler',
  'onmouseenter': 'MouseEventHandler',
  'onmouseleave': 'MouseEventHandler',
  'onmousemove': 'MouseEventHandler',
  'onmousemovecapture': 'MouseEventHandler',
  'onmouseout': 'MouseEventHandler',
  'onmouseoutcapture': 'MouseEventHandler',
  'onmouseover': 'MouseEventHandler',
  'onmouseovercapture': 'MouseEventHandler',
  'onmouseup': 'MouseEventHandler',
  'onmouseupcapture': 'MouseEventHandler',
  'onmousewheel': 'MouseEventHandler',
  'onpaste': 'ClipboardEventHandler',
  'onpastecapture': 'ClipboardEventHandler',
  'onpause': 'EventHandler',
  'onpausecapture': 'EventHandler',
  'onplay': 'EventHandler',
  'onplaycapture': 'EventHandler',
  'onplaying': 'EventHandler',
  'onplayingcapture': 'EventHandler',
  'onpointercancel': 'PointerEventHandler',
  'onpointercancelcapture': 'PointerEventHandler',
  'onpointerdown': 'PointerEventHandler',
  'onpointerdowncapture': 'PointerEventHandler',
  'onpointerenter': 'PointerEventHandler',
  'onpointerentercapture': 'PointerEventHandler',
  'onpointerleave': 'PointerEventHandler',
  'onpointerleavecapture': 'PointerEventHandler',
  'onpointerlockchange': 'PointerEventHandler',
  'onpointerlockerror': 'PointerEventHandler',
  'onpointermove': 'PointerEventHandler',
  'onpointermovecapture': 'PointerEventHandler',
  'onpointerout': 'PointerEventHandler',
  'onpointeroutcapture': 'PointerEventHandler',
  'onpointerover': 'PointerEventHandler',
  'onpointerovercapture': 'PointerEventHandler',
  'onpointerup': 'PointerEventHandler',
  'onpointerupcapture': 'PointerEventHandler',
  'onprogress': 'EventHandler',
  'onprogresscapture': 'EventHandler',
  'onratechange': 'EventHandler',
  'onratechangecapture': 'EventHandler',
  'onreadystatechange': 'EventHandler',
  'onreset': 'FormEventHandler',
  'onresetcapture': 'FormEventHandler',
  'onresize': 'EventHandler',
  'onscroll': 'UIEventHandler',
  'onscrollcapture': 'UIEventHandler',
  'onseeked': 'EventHandler',
  'onseekedcapture': 'EventHandler',
  'onseeking': 'EventHandler',
  'onseekingcapture': 'EventHandler',
  'onselect': 'EventHandler',
  'onselectcapture': 'EventHandler',
  'onshow': 'EventHandler',
  'onstalled': 'EventHandler',
  'onstalledcapture': 'EventHandler',
  'onsubmit': 'FormEventHandler',
  'onsubmitcapture': 'FormEventHandler',
  'onsuspend': 'EventHandler',
  'onsuspendcapture': 'EventHandler',
  'ontimeupdate': 'EventHandler',
  'ontimeupdatecapture': 'EventHandler',
  'ontouchcancel': 'TouchEventHandler',
  'ontouchcancelcapture': 'TouchEventHandler',
  'ontouchend': 'TouchEventHandler',
  'ontouchendcapture': 'TouchEventHandler',
  'ontouchmove': 'TouchEventHandler',
  'ontouchmovecapture': 'TouchEventHandler',
  'ontouchstart': 'TouchEventHandler',
  'ontouchstartcapture': 'TouchEventHandler',
  'ontransitionend': 'TransitionEventHandler',
  'ontransitionendcapture': 'TransitionEventHandler',
  'onvolumechange': 'EventHandler',
  'onvolumechangecapture': 'EventHandler',
  'onwaiting': 'EventHandler',
  'onwaitingcapture': 'EventHandler',
  'onwheel': 'WheelEventHandler',
  'onwheelcapture': 'WheelEventHandler',
};

// TODO boolean attributes
final attributeDartTypeOverrides = {
  ...eventAttributeDartTypeOverrides,
  'tabindex': 'int',
  'width': 'int',
  'height': 'int',
  'cols': 'int',
  'colindex': 'int',
  'colcount': 'int',
  'colspan': 'int',
  'high': 'int',
  'low': 'int',
  'marginheight': 'int',
  'marginwidth': 'int',
  'maxlength': 'int',
  'minlength': 'int',
  'optimum': 'int',
  'posinset': 'int',
  'rows': 'int',
  'rowcount': 'int',
  'rowindex': 'int',
  'rowspan': 'int',
  'setsize': 'int',
  'size': 'int',
  'span': 'int',
  'start': 'int',
  'valuemin': 'int',
  'valuemax': 'int',
  'valuenow': 'int',
};

final eventAttributeDartNameOverrides = {
  'onabort': 'onAbort',
  'onabortcapture': 'onAbortCapture',
  'onanimationend': 'onAnimationEnd',
  'onanimationendcapture': 'onAnimationEndCapture',
  'onanimationiteration': 'onAnimationIteration',
  'onanimationiterationcapture': 'onAnimationIterationCapture',
  'onanimationstart': 'onAnimationStart',
  'onanimationstartcapture': 'onAnimationStartCapture',
  'onauxclick': 'onAuxClick',
  'onauxclickcapture': 'onAuxClickCapture',
  'onbeforeinput': 'onBeforeInput',
  'onbeforeinputcapture': 'onBeforeInputCapture',
  'onblur': 'onBlur',
  'onblurcapture': 'onBlurCapture',
  'oncanplay': 'onCanPlay',
  'oncanplaycapture': 'onCanPlayCapture',
  'oncanplaythrough': 'onCanPlayThrough',
  'oncanplaythroughcapture': 'onCanPlayThroughCapture',
  'onchange': 'onChange',
  'onchangecapture': 'onChangeCapture',
  'onclick': 'onClick',
  'onclickcapture': 'onClickCapture',
  'oncompositionend': 'onCompositionEnd',
  'oncompositionendcapture': 'onCompositionEndCapture',
  'oncompositionstart': 'onCompositionStart',
  'oncompositionstartcapture': 'onCompositionStartCapture',
  'oncompositionupdate': 'onCompositionUpdate',
  'oncompositionupdatecapture': 'onCompositionUpdateCapture',
  'oncontextmenu': 'onContextMenu',
  'oncontextmenucapture': 'onContextMenuCapture',
  'oncopy': 'onCopy',
  'oncopycapture': 'onCopyCapture',
  'oncut': 'onCut',
  'oncutcapture': 'onCutCapture',
  'ondblclick': 'onDoubleClick',
  'ondoubleclick': 'onDoubleClick',
  'ondoubleclickcapture': 'onDoubleClickCapture',
  'ondrag': 'onDrag',
  'ondragcapture': 'onDragCapture',
  'ondragend': 'onDragEnd',
  'ondragendcapture': 'onDragEndCapture',
  'ondragenter': 'onDragEnter',
  'ondragentercapture': 'onDragEnterCapture',
  'ondragexit': 'onDragExit',
  'ondragexitcapture': 'onDragExitCapture',
  'ondragleave': 'onDragLeave',
  'ondragleavecapture': 'onDragLeaveCapture',
  'ondragover': 'onDragOver',
  'ondragovercapture': 'onDragOverCapture',
  'ondragstart': 'onDragStart',
  'ondragstartcapture': 'onDragStartCapture',
  'ondrop': 'onDrop',
  'ondropcapture': 'onDropCapture',
  'ondurationchange': 'onDurationChange',
  'ondurationchangecapture': 'onDurationChangeCapture',
  'onemptied': 'onEmptied',
  'onemptiedcapture': 'onEmptiedCapture',
  'onencrypted': 'onEncrypted',
  'onencryptedcapture': 'onEncryptedCapture',
  'onended': 'onEnded',
  'onendedcapture': 'onEndedCapture',
  'onerror': 'onError',
  'onerrorcapture': 'onErrorCapture',
  'onfocus': 'onFocus',
  'onfocuscapture': 'onFocusCapture',
  'onformchange': 'onFormChange',
  'onforminput': 'onFormInput',
  'ongotpointercapture': 'onGotPointerCapture',
  'ongotpointercapturecapture': 'onGotPointerCaptureCapture',
  'oninput': 'onInput',
  'oninputcapture': 'onInputCapture',
  'oninvalid': 'onInvalid',
  'oninvalidcapture': 'onInvalidCapture',
  'onkeydown': 'onKeyDown',
  'onkeydowncapture': 'onKeyDownCapture',
  'onkeypress': 'onKeyPress',
  'onkeypresscapture': 'onKeyPressCapture',
  'onkeyup': 'onKeyUp',
  'onkeyupcapture': 'onKeyUpCapture',
  'onload': 'onLoad',
  'onloadcapture': 'onLoadCapture',
  'onloadeddata': 'onLoadedData',
  'onloadeddatacapture': 'onLoadedDataCapture',
  'onloadedmetadata': 'onLoadedMetadata',
  'onloadedmetadatacapture': 'onLoadedMetadataCapture',
  'onloadstart': 'onLoadStart',
  'onloadstartcapture': 'onLoadStartCapture',
  'onlostpointercapture': 'onLostPointerCapture',
  'onlostpointercapturecapture': 'onLostPointerCaptureCapture',
  'onmousedown': 'onMouseDown',
  'onmousedowncapture': 'onMouseDownCapture',
  'onmouseenter': 'onMouseEnter',
  'onmouseleave': 'onMouseLeave',
  'onmousemove': 'onMouseMove',
  'onmousemovecapture': 'onMouseMoveCapture',
  'onmouseout': 'onMouseOut',
  'onmouseoutcapture': 'onMouseOutCapture',
  'onmouseover': 'onMouseOver',
  'onmouseovercapture': 'onMouseOverCapture',
  'onmouseup': 'onMouseUp',
  'onmouseupcapture': 'onMouseUpCapture',
  'onmousewheel': 'onMouseWheel',
  'onpaste': 'onPaste',
  'onpastecapture': 'onPasteCapture',
  'onpause': 'onPause',
  'onpausecapture': 'onPauseCapture',
  'onplay': 'onPlay',
  'onplaycapture': 'onPlayCapture',
  'onplaying': 'onPlaying',
  'onplayingcapture': 'onPlayingCapture',
  'onpointercancel': 'onPointerCancel',
  'onpointercancelcapture': 'onPointerCancelCapture',
  'onpointerdown': 'onPointerDown',
  'onpointerdowncapture': 'onPointerDownCapture',
  'onpointerenter': 'onPointerEnter',
  'onpointerentercapture': 'onPointerEnterCapture',
  'onpointerleave': 'onPointerLeave',
  'onpointerleavecapture': 'onPointerLeaveCapture',
  'onpointerlockchange': 'onPointerLockChange',
  'onpointerlockerror': 'onPointerLockError',
  'onpointermove': 'onPointerMove',
  'onpointermovecapture': 'onPointerMoveCapture',
  'onpointerout': 'onPointerOut',
  'onpointeroutcapture': 'onPointerOutCapture',
  'onpointerover': 'onPointerOver',
  'onpointerovercapture': 'onPointerOverCapture',
  'onpointerup': 'onPointerUp',
  'onpointerupcapture': 'onPointerUpCapture',
  'onprogress': 'onProgress',
  'onprogresscapture': 'onProgressCapture',
  'onratechange': 'onRateChange',
  'onratechangecapture': 'onRateChangeCapture',
  'onreadystatechange': 'onReadyStateChange',
  'onreset': 'onReset',
  'onresetcapture': 'onResetCapture',
  'onresize': 'onResize',
  'onscroll': 'onScroll',
  'onscrollcapture': 'onScrollCapture',
  'onseeked': 'onSeeked',
  'onseekedcapture': 'onSeekedCapture',
  'onseeking': 'onSeeking',
  'onseekingcapture': 'onSeekingCapture',
  'onselect': 'onSelect',
  'onselectcapture': 'onSelectCapture',
  'onshow': 'onShow',
  'onstalled': 'onStalled',
  'onstalledcapture': 'onStalledCapture',
  'onsubmit': 'onSubmit',
  'onsubmitcapture': 'onSubmitCapture',
  'onsuspend': 'onSuspend',
  'onsuspendcapture': 'onSuspendCapture',
  'ontimeupdate': 'onTimeUpdate',
  'ontimeupdatecapture': 'onTimeUpdateCapture',
  'ontouchcancel': 'onTouchCancel',
  'ontouchcancelcapture': 'onTouchCancelCapture',
  'ontouchend': 'onTouchEnd',
  'ontouchendcapture': 'onTouchEndCapture',
  'ontouchmove': 'onTouchMove',
  'ontouchmovecapture': 'onTouchMoveCapture',
  'ontouchstart': 'onTouchStart',
  'ontouchstartcapture': 'onTouchStartCapture',
  'ontransitionend': 'onTransitionEnd',
  'ontransitionendcapture': 'onTransitionEndCapture',
  'onvolumechange': 'onVolumeChange',
  'onvolumechangecapture': 'onVolumeChangeCapture',
  'onwaiting': 'onWaiting',
  'onwaitingcapture': 'onWaitingCapture',
  'onwheel': 'onWheel',
  'onwheelcapture': 'onWheelCapture',
};

final attributeDartArgumentNameOverrides = {
  ...eventAttributeDartNameOverrides,
  'accesskey': 'accessKey',
  'about': 'about',
  'accept': 'accept',
  'acceptcharset': 'acceptCharset',
  'action': 'action',
  'allowfullscreen': 'allowFullScreen',
  'allowtransparency': 'allowTransparency',
  'alt': 'alt',
  'as': 'as',
  'async': 'htmlAsync',
  'autocapitalize': 'autoCapitalize',
  'autocomplete': 'autoComplete',
  'autocorrect': 'autoCorrect',
  'autofocus': 'autoFocus',
  'autoplay': 'autoPlay',
  'autosave': 'autoSave',
  'capture': 'capture',
  'cellpadding': 'cellPadding',
  'cellspacing': 'cellSpacing',
  'challenge': 'challenge',
  'charset': 'charSet',
  'checked': 'checked',
  'cite': 'cite',
  'class': 'className',
  'classid': 'classId',
  'color': 'color',
  'cols': 'cols',
  'colspan': 'colSpan',
  'content': 'content',
  'contenteditable': 'contentEditable',
  'contextmenu': 'contextMenu',
  'controls': 'controls',
  'coords': 'coords',
  'crossorigin': 'crossOrigin',
  'data': 'data',
  'datatype': 'datatype',
  'datetime': 'dateTime',
  'default': 'htmlDefault',
  'defer': 'defer',
  'dir': 'dir',
  'disabled': 'disabled',
  'download': 'download',
  'draggable': 'draggable',
  'enctype': 'encType',
  'form': 'form',
  'formaction': 'formAction',
  'formenctype': 'formEncType',
  'formmethod': 'formMethod',
  'formnovalidate': 'formNoValidate',
  'formtarget': 'formTarget',
  'frameborder': 'frameBorder',
  'headers': 'headers',
  'height': 'height',
  'hidden': 'hidden',
  'high': 'high',
  'href': 'href',
  'hreflang': 'hrefLang',
  'for': 'htmlFor',
  'httpequiv': 'httpEquiv',
  'id': 'id',
  'inlist': 'inlist',
  'inputmode': 'inputMode',
  'integrity': 'integrity',
  'intrinsicsize': 'intrinsicSize',
  'is': 'htmlIs',
  'itemid': 'itemId',
  'itemprop': 'itemProp',
  'itemref': 'itemRef',
  'itemscope': 'itemScope',
  'itemtype': 'itemType',
  'keyparams': 'keyParams',
  'keytype': 'keyType',
  'kind': 'kind',
  'label': 'label',
  'lang': 'lang',
  'list': 'list',
  'loop': 'loop',
  'low': 'low',
  'manifest': 'manifest',
  'marginheight': 'marginHeight',
  'marginwidth': 'marginWidth',
  'max': 'max',
  'maxlength': 'maxLength',
  'media': 'media',
  'mediagroup': 'mediaGroup',
  'method': 'method',
  'min': 'min',
  'minlength': 'minLength',
  'multiple': 'multiple',
  'muted': 'muted',
  'name': 'name',
  'nonce': 'nonce',
  'novalidate': 'noValidate',
  'open': 'open',
  'optimum': 'optimum',
  'pattern': 'pattern',
  'placeholder': 'placeholder',
  'playsinline': 'playsInline',
  'poster': 'poster',
  'prefix': 'prefix',
  'preload': 'preload',
  'property': 'property',
  'radiogroup': 'radioGroup',
  'readonly': 'readOnly',
  'referrerpolicy': 'referrerPolicy',
  'rel': 'rel',
  'required': 'required',
  'resource': 'resource',
  'results': 'results',
  'reversed': 'reversed',
  'role': 'role',
  'rows': 'rows',
  'rowspan': 'rowSpan',
  'sandbox': 'sandbox',
  'scope': 'scope',
  'scoped': 'scoped',
  'scrolling': 'scrolling',
  'seamless': 'seamless',
  'security': 'security',
  'selected': 'selected',
  'shape': 'shape',
  'size': 'size',
  'sizes': 'sizes',
  'slot': 'slot',
  'span': 'span',
  'spellcheck': 'spellCheck',
  'src': 'src',
  'srcdoc': 'srcDoc',
  'srclang': 'srcLang',
  'srcset': 'srcSet',
  'start': 'start',
  'step': 'step',
  'style': 'style',
  'summary': 'summary',
  'tabindex': 'tabIndex',
  'target': 'target',
  'title': 'title',
  'translate': 'translate',
  'type': 'type',
  'typeof': 'typeof',
  'unselectable': 'unselectable',
  'usemap': 'useMap',
  'value': 'value',
  'vocab': 'vocab',
  'width': 'width',
  'wmode': 'wmode',
  'wrap': 'wrap',
};
