// GENERATED CODE - DO NOT MODIFY BY HAND
// GENERATED BY TODO
// ignore_for_file: type=lint
import 'package:dart_html_elements/src/attribute.dart';
import 'package:dart_html_elements/src/html_element.dart';

/// The dl element represents an association list consisting of zero or more name-value groups (a description list). A name-value group consists of one or more names (dt elements) followed by one or more values (dd elements), ignoring any nodes other than dt and dd elements. Within a single dl element, there should not be more than one dt element for each name.
class Dl extends HTMLElement {
  Dl({
    /// Provides a hint for generating a keyboard shortcut for the current element. This attribute consists of a space-separated list of characters. The browser should use the first one that exists on the computer keyboard layout.
    final String? accessKey,

    /// Controls whether and how text input is automatically capitalized as it is entered/edited by the user. It can have the following values:
    ///
    /// *   `off` or `none`, no autocapitalization is applied (all letters default to lowercase)
    /// *   `on` or `sentences`, the first letter of each sentence defaults to a capital letter; all other letters default to lowercase
    /// *   `words`, the first letter of each word defaults to a capital letter; all other letters default to lowercase
    /// *   `characters`, all letters should default to uppercase
    final String? autoCapitalize,

    /// A space-separated list of the classes of the element. Classes allows CSS and JavaScript to select and access specific elements via the [class selectors](/en-US/docs/Web/CSS/Class_selectors) or functions like the method [`Document.getElementsByClassName()`](/en-US/docs/Web/API/Document/getElementsByClassName "returns an array-like object of all child elements which have all of the given class names.").
    final String? className,

    /// An enumerated attribute indicating if the element should be editable by the user. If so, the browser modifies its widget to allow editing. The attribute must take one of the following values:
    ///
    /// *   `true` or the _empty string_, which indicates that the element must be editable;
    /// *   `false`, which indicates that the element must not be editable.
    final String? contentEditable,

    /// The `[**id**](#attr-id)` of a [`<menu>`](/en-US/docs/Web/HTML/Element/menu "The HTML <menu> element represents a group of commands that a user can perform or activate. This includes both list menus, which might appear across the top of a screen, as well as context menus, such as those that might appear underneath a button after it has been clicked.") to use as the contextual menu for this element.
    final String? contextMenu,

    /// An enumerated attribute indicating the directionality of the element's text. It can have the following values:
    ///
    /// *   `ltr`, which means _left to right_ and is to be used for languages that are written from the left to the right (like English);
    /// *   `rtl`, which means _right to left_ and is to be used for languages that are written from the right to the left (like Arabic);
    /// *   `auto`, which lets the user agent decide. It uses a basic algorithm as it parses the characters inside the element until it finds a character with a strong directionality, then it applies that directionality to the whole element.
    final String? dir,

    /// An enumerated attribute indicating whether the element can be dragged, using the [Drag and Drop API](/en-us/docs/DragDrop/Drag_and_Drop). It can have the following values:
    ///
    /// *   `true`, which indicates that the element may be dragged
    /// *   `false`, which indicates that the element may not be dragged.
    final bool? draggable,

    /// An enumerated attribute indicating what types of content can be dropped on an element, using the [Drag and Drop API](/en-US/docs/DragDrop/Drag_and_Drop). It can have the following values:
    ///
    /// *   `copy`, which indicates that dropping will create a copy of the element that was dragged
    /// *   `move`, which indicates that the element that was dragged will be moved to this new location.
    /// *   `link`, will create a link to the dragged data.
    final String? dropzone,

    /// Used to transitively export shadow parts from a nested shadow tree into a containing light tree.
    final String? exportparts,

    /// A Boolean attribute indicates that the element is not yet, or is no longer, _relevant_. For example, it can be used to hide elements of the page that can't be used until the login process has been completed. The browser won't render such elements. This attribute must not be used to hide content that could legitimately be shown.
    final bool? hidden,

    /// Defines a unique identifier (ID) which must be unique in the whole document. Its purpose is to identify the element when linking (using a fragment identifier), scripting, or styling (with CSS).
    final String? id,

    /// Provides a hint to browsers as to the type of virtual keyboard configuration to use when editing this element or its contents. Used primarily on [`<input>`](/en-US/docs/Web/HTML/Element/input "The HTML <input> element is used to create interactive controls for web-based forms in order to accept data from the user; a wide variety of types of input data and control widgets are available, depending on the device and user agent.") elements, but is usable on any element while in `[contenteditable](/en-US/docs/Web/HTML/Global_attributes#attr-contenteditable)` mode.
    final String? inputMode,

    /// Allows you to specify that a standard HTML element should behave like a registered custom built-in element (see [Using custom elements](/en-US/docs/Web/Web_Components/Using_custom_elements) for more details).
    final String? htmlIs,

    /// The unique, global identifier of an item.
    final String? itemId,

    /// Used to add properties to an item. Every HTML element may have an `itemprop` attribute specified, where an `itemprop` consists of a name and value pair.
    final String? itemProp,

    /// Properties that are not descendants of an element with the `itemscope` attribute can be associated with the item using an `itemref`. It provides a list of element ids (not `itemid`s) with additional properties elsewhere in the document.
    final String? itemRef,

    /// `itemscope` (usually) works along with `[itemtype](/en-US/docs/Web/HTML/Global_attributes#attr-itemtype)` to specify that the HTML contained in a block is about a particular item. `itemscope` creates the Item and defines the scope of the `itemtype` associated with it. `itemtype` is a valid URL of a vocabulary (such as [schema.org](https://schema.org/)) that describes the item and its properties context.
    final bool? itemScope,

    /// Specifies the URL of the vocabulary that will be used to define `itemprop`s (item properties) in the data structure. `[itemscope](/en-US/docs/Web/HTML/Global_attributes#attr-itemscope)` is used to set the scope of where in the data structure the vocabulary set by `itemtype` will be active.
    final String? itemType,

    /// Helps define the language of an element: the language that non-editable elements are in, or the language that editable elements should be written in by the user. The attribute contains one “language tag” (made of hyphen-separated “language subtags”) in the format defined in [_Tags for Identifying Languages (BCP47)_](https://www.ietf.org/rfc/bcp/bcp47.txt). [**xml:lang**](#attr-xml:lang) has priority over it.
    final String? lang,

    /// A space-separated list of the part names of the element. Part names allows CSS to select and style specific elements in a shadow tree via the [`::part`](/en-US/docs/Web/CSS/::part "The ::part CSS pseudo-element represents any element within a shadow tree that has a matching part attribute.") pseudo-element.
    final String? part,

    /// No documentation available.
    final String? role,

    /// Assigns a slot in a [shadow DOM](/en-US/docs/Web/Web_Components/Shadow_DOM) shadow tree to an element: An element with a `slot` attribute is assigned to the slot created by the [`<slot>`](/en-US/docs/Web/HTML/Element/slot "The HTML <slot> element—part of the Web Components technology suite—is a placeholder inside a web component that you can fill with your own markup, which lets you create separate DOM trees and present them together.") element whose `[name](/en-US/docs/Web/HTML/Element/slot#attr-name)` attribute's value matches that `slot` attribute's value.
    final String? slot,

    /// An enumerated attribute defines whether the element may be checked for spelling errors. It may have the following values:
    ///
    /// *   `true`, which indicates that the element should be, if possible, checked for spelling errors;
    /// *   `false`, which indicates that the element should not be checked for spelling errors.
    final bool? spellCheck,

    /// Contains [CSS](/en-US/docs/Web/CSS) styling declarations to be applied to the element. Note that it is recommended for styles to be defined in a separate file or files. This attribute and the [`<style>`](/en-US/docs/Web/HTML/Element/style "The HTML <style> element contains style information for a document, or part of a document.") element have mainly the purpose of allowing for quick styling, for example for testing purposes.
    final String? style,

    /// An integer attribute indicating if the element can take input focus (is _focusable_), if it should participate to sequential keyboard navigation, and if so, at what position. It can take several values:
    ///
    /// *   a _negative value_ means that the element should be focusable, but should not be reachable via sequential keyboard navigation;
    /// *   `0` means that the element should be focusable and reachable via sequential keyboard navigation, but its relative order is defined by the platform convention;
    /// *   a _positive value_ means that the element should be focusable and reachable via sequential keyboard navigation; the order in which the elements are focused is the increasing value of the [**tabindex**](#attr-tabindex). If several elements share the same tabindex, their relative order follows their relative positions in the document.
    final int? tabIndex,

    /// Contains a text representing advisory information related to the element it belongs to. Such information can typically, but not necessarily, be presented to the user as a tooltip.
    final String? title,

    /// An enumerated attribute that is used to specify whether an element's attribute values and the values of its [`Text`](/en-US/docs/Web/API/Text "The Text interface represents the textual content of Element or Attr. If an element has no markup within its content, it has a single child implementing Text that contains the element's text. However, if the element contains markup, it is parsed into information items and Text nodes that form its children.") node children are to be translated when the page is localized, or whether to leave them unchanged. It can have the following values:
    ///
    /// *   empty string and `yes`, which indicates that the element will be translated.
    /// *   `no`, which indicates that the element will not be translated.
    final String? translate,

    /// The loading of a resource has been aborted.
    final EventHandler? onAbort,

    /// An element has lost focus (does not bubble).
    final FocusEventHandler? onBlur,

    /// The user agent can play the media, but estimates that not enough data has been loaded to play the media up to its end without having to stop for further buffering of content.
    final EventHandler? onCanPlay,

    /// The user agent can play the media up to its end without having to stop for further buffering of content.
    final EventHandler? onCanPlayThrough,

    /// The change event is fired for <input>, <select>, and <textarea> elements when a change to the element's value is committed by the user.
    final FormEventHandler? onChange,

    /// A pointing device button has been pressed and released on an element.
    final MouseEventHandler? onClick,

    /// The right button of the mouse is clicked (before the context menu is displayed).
    final MouseEventHandler? onContextMenu,

    /// A pointing device button is clicked twice on an element.
    final MouseEventHandler? onDoubleClick,

    /// An element or text selection is being dragged (every 350ms).
    final DragEventHandler? onDrag,

    /// A drag operation is being ended (by releasing a mouse button or hitting the escape key).
    final DragEventHandler? onDragEnd,

    /// A dragged element or text selection enters a valid drop target.
    final DragEventHandler? onDragEnter,

    /// A dragged element or text selection leaves a valid drop target.
    final DragEventHandler? onDragLeave,

    /// An element or text selection is being dragged over a valid drop target (every 350ms).
    final DragEventHandler? onDragOver,

    /// The user starts dragging an element or text selection.
    final DragEventHandler? onDragStart,

    /// An element is dropped on a valid drop target.
    final DragEventHandler? onDrop,

    /// The duration attribute has been updated.
    final EventHandler? onDurationChange,

    /// The media has become empty; for example, this event is sent if the media has already been loaded (or partially loaded), and the load() method is called to reload it.
    final EventHandler? onEmptied,

    /// Playback has stopped because the end of the media was reached.
    final EventHandler? onEnded,

    /// A resource failed to load.
    final EventHandler? onError,

    /// An element has received focus (does not bubble).
    final FocusEventHandler? onFocus,

    /// No documentation available.
    final FormEventHandler? onFormChange,

    /// No documentation available.
    final FormEventHandler? onFormInput,

    /// The value of an element changes or the content of an element with the attribute contenteditable is modified.
    final FormEventHandler? onInput,

    /// A submittable element has been checked and doesn't satisfy its constraints.
    final FormEventHandler? onInvalid,

    /// A key is pressed down.
    final KeyboardEventHandler? onKeyDown,

    /// A key is pressed down and that key normally produces a character value (use input instead).
    final KeyboardEventHandler? onKeyPress,

    /// A key is released.
    final KeyboardEventHandler? onKeyUp,

    /// A resource and its dependent resources have finished loading.
    final EventHandler? onLoad,

    /// The first frame of the media has finished loading.
    final EventHandler? onLoadedData,

    /// The metadata has been loaded.
    final EventHandler? onLoadedMetadata,

    /// Progress has begun.
    final EventHandler? onLoadStart,

    /// A pointing device button (usually a mouse) is pressed on an element.
    final MouseEventHandler? onMouseDown,

    /// A pointing device is moved over an element.
    final MouseEventHandler? onMouseMove,

    /// A pointing device is moved off the element that has the listener attached or off one of its children.
    final MouseEventHandler? onMouseOut,

    /// A pointing device is moved onto the element that has the listener attached or onto one of its children.
    final MouseEventHandler? onMouseOver,

    /// A pointing device button is released over an element.
    final MouseEventHandler? onMouseUp,

    /// No documentation available.
    final MouseEventHandler? onMouseWheel,

    /// A pointing device is moved onto the element that has the listener attached.
    final MouseEventHandler? onMouseEnter,

    /// A pointing device is moved off the element that has the listener attached.
    final MouseEventHandler? onMouseLeave,

    /// Playback has been paused.
    final EventHandler? onPause,

    /// Playback has begun.
    final EventHandler? onPlay,

    /// Playback is ready to start after having been paused or delayed due to lack of data.
    final EventHandler? onPlaying,

    /// In progress.
    final EventHandler? onProgress,

    /// The playback rate has changed.
    final EventHandler? onRateChange,

    /// A form is reset.
    final FormEventHandler? onReset,

    /// The document view has been resized.
    final EventHandler? onResize,

    /// The readyState attribute of a document has changed.
    final EventHandler? onReadyStateChange,

    /// The document view or an element has been scrolled.
    final UIEventHandler? onScroll,

    /// A seek operation completed.
    final EventHandler? onSeeked,

    /// A seek operation began.
    final EventHandler? onSeeking,

    /// Some text is being selected.
    final EventHandler? onSelect,

    /// A contextmenu event was fired on/bubbled to an element that has a contextmenu attribute
    final EventHandler? onShow,

    /// The user agent is trying to fetch media data, but data is unexpectedly not forthcoming.
    final EventHandler? onStalled,

    /// A form is submitted.
    final FormEventHandler? onSubmit,

    /// Media data loading has been suspended.
    final EventHandler? onSuspend,

    /// The time indicated by the currentTime attribute has been updated.
    final EventHandler? onTimeUpdate,

    /// The volume has changed.
    final EventHandler? onVolumeChange,

    /// Playback has stopped because of a temporary lack of data.
    final EventHandler? onWaiting,

    /// The pointer is unlikely to produce any more events.
    final PointerEventHandler? onPointerCancel,

    /// The pointer enters the active buttons state.
    final PointerEventHandler? onPointerDown,

    /// Pointing device is moved inside the hit-testing boundary.
    final PointerEventHandler? onPointerEnter,

    /// Pointing device is moved out of the hit-testing boundary.
    final PointerEventHandler? onPointerLeave,

    /// The pointer was locked or released.
    final PointerEventHandler? onPointerLockChange,

    /// It was impossible to lock the pointer for technical reasons or because the permission was denied.
    final PointerEventHandler? onPointerLockError,

    /// The pointer changed coordinates.
    final PointerEventHandler? onPointerMove,

    /// The pointing device moved out of hit-testing boundary or leaves detectable hover range.
    final PointerEventHandler? onPointerOut,

    /// The pointing device is moved into the hit-testing boundary.
    final PointerEventHandler? onPointerOver,

    /// The pointer leaves the active buttons state.
    final PointerEventHandler? onPointerUp,

    /// Identifies the currently active element when DOM focus is on a [`composite`](https://www.w3.org/TR/wai-aria-1.1/#composite) widget, [`textbox`](https://www.w3.org/TR/wai-aria-1.1/#textbox), [`group`](https://www.w3.org/TR/wai-aria-1.1/#group), or [`application`](https://www.w3.org/TR/wai-aria-1.1/#application).
    final String? ariaActivedescendant,

    /// Indicates whether [assistive technologies](https://www.w3.org/TR/wai-aria-1.1/#dfn-assistive-technology) will present all, or only parts of, the changed region based on the change notifications defined by the [`aria-relevant`](https://www.w3.org/TR/wai-aria-1.1/#aria-relevant) attribute.
    final bool? ariaAtomic,

    /// Indicates whether inputting text could trigger display of one or more predictions of the user's intended value for an input and specifies how predictions would be presented if they are made.
    final String? ariaAutocomplete,

    /// Indicates an element is being modified and that assistive technologies _MAY_ want to wait until the modifications are complete before exposing them to the user.
    final bool? ariaBusy,

    /// Indicates the current "checked" [state](https://www.w3.org/TR/wai-aria-1.1/#dfn-state) of checkboxes, radio buttons, and other [widgets](https://www.w3.org/TR/wai-aria-1.1/#dfn-widget). See related [`aria-pressed`](https://www.w3.org/TR/wai-aria-1.1/#aria-pressed) and [`aria-selected`](https://www.w3.org/TR/wai-aria-1.1/#aria-selected).
    final String? ariaChecked,

    /// Defines the total number of columns in a [`table`](https://www.w3.org/TR/wai-aria-1.1/#table), [`grid`](https://www.w3.org/TR/wai-aria-1.1/#grid), or [`treegrid`](https://www.w3.org/TR/wai-aria-1.1/#treegrid). See related [`aria-colindex`](https://www.w3.org/TR/wai-aria-1.1/#aria-colindex).
    final String? ariaColcount,

    /// Defines an [element's](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) column index or position with respect to the total number of columns within a [`table`](https://www.w3.org/TR/wai-aria-1.1/#table), [`grid`](https://www.w3.org/TR/wai-aria-1.1/#grid), or [`treegrid`](https://www.w3.org/TR/wai-aria-1.1/#treegrid). See related [`aria-colcount`](https://www.w3.org/TR/wai-aria-1.1/#aria-colcount) and [`aria-colspan`](https://www.w3.org/TR/wai-aria-1.1/#aria-colspan).
    final String? ariaColindex,

    /// Defines the number of columns spanned by a cell or gridcell within a [`table`](https://www.w3.org/TR/wai-aria-1.1/#table), [`grid`](https://www.w3.org/TR/wai-aria-1.1/#grid), or [`treegrid`](https://www.w3.org/TR/wai-aria-1.1/#treegrid). See related [`aria-colindex`](https://www.w3.org/TR/wai-aria-1.1/#aria-colindex) and [`aria-rowspan`](https://www.w3.org/TR/wai-aria-1.1/#aria-rowspan).
    final String? ariaColspan,

    /// Identifies the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) (or elements) whose contents or presence are controlled by the current element. See related [`aria-owns`](https://www.w3.org/TR/wai-aria-1.1/#aria-owns).
    final String? ariaControls,

    /// Indicates the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) that represents the current item within a container or set of related elements.
    final String? ariaCurrent,

    /// Identifies the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) (or elements) that describes the [object](https://www.w3.org/TR/wai-aria-1.1/#dfn-object). See related [`aria-labelledby`](https://www.w3.org/TR/wai-aria-1.1/#aria-labelledby).
    final String? ariaDescribedby,

    /// Indicates that the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) is [perceivable](https://www.w3.org/TR/wai-aria-1.1/#dfn-perceivable) but disabled, so it is not editable or otherwise [operable](https://www.w3.org/TR/wai-aria-1.1/#dfn-operable). See related [`aria-hidden`](https://www.w3.org/TR/wai-aria-1.1/#aria-hidden) and [`aria-readonly`](https://www.w3.org/TR/wai-aria-1.1/#aria-readonly).
    final bool? ariaDisabled,

    /// \[Deprecated in ARIA 1.1\] Indicates what functions can be performed when a dragged object is released on the drop target.
    final String? ariaDropeffect,

    /// Identifies the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) that provides an error message for the [object](https://www.w3.org/TR/wai-aria-1.1/#dfn-object). See related [`aria-invalid`](https://www.w3.org/TR/wai-aria-1.1/#aria-invalid) and [`aria-describedby`](https://www.w3.org/TR/wai-aria-1.1/#aria-describedby).
    final String? ariaErrormessage,

    /// Indicates whether the element, or another grouping element it controls, is currently expanded or collapsed.
    final String? ariaExpanded,

    /// Identifies the next [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) (or elements) in an alternate reading order of content which, at the user's discretion, allows assistive technology to override the general default of reading in document source order.
    final String? ariaFlowto,

    /// \[Deprecated in ARIA 1.1\] Indicates an element's "grabbed" [state](https://www.w3.org/TR/wai-aria-1.1/#dfn-state) in a drag-and-drop operation.
    final String? ariaGrabbed,

    /// Indicates the availability and type of interactive popup element, such as menu or dialog, that can be triggered by an [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element).
    final String? ariaHaspopup,

    /// Indicates whether the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) is exposed to an accessibility API. See related [`aria-disabled`](https://www.w3.org/TR/wai-aria-1.1/#aria-disabled).
    final bool? ariaHidden,

    /// Indicates the entered value does not conform to the format expected by the application. See related [`aria-errormessage`](https://www.w3.org/TR/wai-aria-1.1/#aria-errormessage).
    final String? ariaInvalid,

    /// Defines a string value that labels the current element. See related [`aria-labelledby`](https://www.w3.org/TR/wai-aria-1.1/#aria-labelledby).
    final String? ariaLabel,

    /// Identifies the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) (or elements) that labels the current element. See related [`aria-describedby`](https://www.w3.org/TR/wai-aria-1.1/#aria-describedby).
    final String? ariaLabelledby,

    /// Defines the hierarchical level of an [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) within a structure.
    final String? ariaLevel,

    /// Indicates that an [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) will be updated, and describes the types of updates the [user agents](https://www.w3.org/TR/wai-aria-1.1/#dfn-user-agent), [assistive technologies](https://www.w3.org/TR/wai-aria-1.1/#dfn-assistive-technology), and user can expect from the [live region](https://www.w3.org/TR/wai-aria-1.1/#dfn-live-region).
    final String? ariaLive,

    /// Indicates whether an [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) is modal when displayed.
    final bool? ariaModal,

    /// Indicates whether a text box accepts multiple lines of input or only a single line.
    final bool? ariaMultiline,

    /// Indicates that the user may select more than one item from the current selectable descendants.
    final bool? ariaMultiselectable,

    /// Indicates whether the element's orientation is horizontal, vertical, or unknown/ambiguous.
    final String? ariaOrientation,

    /// Identifies an [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) (or elements) in order to define a visual, functional, or contextual parent/child [relationship](https://www.w3.org/TR/wai-aria-1.1/#dfn-relationship) between DOM elements where the DOM hierarchy cannot be used to represent the relationship. See related [`aria-controls`](https://www.w3.org/TR/wai-aria-1.1/#aria-controls).
    final String? ariaOwns,

    /// Defines a short hint (a word or short phrase) intended to aid the user with data entry when the control has no value. A hint could be a sample value or a brief description of the expected format.
    final String? ariaPlaceholder,

    /// Defines an [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element)'s number or position in the current set of listitems or treeitems. Not required if all elements in the set are present in the DOM. See related [`aria-setsize`](https://www.w3.org/TR/wai-aria-1.1/#aria-setsize).
    final String? ariaPosinset,

    /// Indicates the current "pressed" [state](https://www.w3.org/TR/wai-aria-1.1/#dfn-state) of toggle buttons. See related [`aria-checked`](https://www.w3.org/TR/wai-aria-1.1/#aria-checked) and [`aria-selected`](https://www.w3.org/TR/wai-aria-1.1/#aria-selected).
    final String? ariaPressed,

    /// Indicates that the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) is not editable, but is otherwise [operable](https://www.w3.org/TR/wai-aria-1.1/#dfn-operable). See related [`aria-disabled`](https://www.w3.org/TR/wai-aria-1.1/#aria-disabled).
    final bool? ariaReadonly,

    /// Indicates what notifications the user agent will trigger when the accessibility tree within a live region is modified. See related [`aria-atomic`](https://www.w3.org/TR/wai-aria-1.1/#aria-atomic).
    final String? ariaRelevant,

    /// Indicates that user input is required on the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) before a form may be submitted.
    final bool? ariaRequired,

    /// Defines a human-readable, author-localized description for the [role](https://www.w3.org/TR/wai-aria-1.1/#dfn-role) of an [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element).
    final String? ariaRoledescription,

    /// Defines the total number of rows in a [`table`](https://www.w3.org/TR/wai-aria-1.1/#table), [`grid`](https://www.w3.org/TR/wai-aria-1.1/#grid), or [`treegrid`](https://www.w3.org/TR/wai-aria-1.1/#treegrid). See related [`aria-rowindex`](https://www.w3.org/TR/wai-aria-1.1/#aria-rowindex).
    final String? ariaRowcount,

    /// Defines an [element's](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) row index or position with respect to the total number of rows within a [`table`](https://www.w3.org/TR/wai-aria-1.1/#table), [`grid`](https://www.w3.org/TR/wai-aria-1.1/#grid), or [`treegrid`](https://www.w3.org/TR/wai-aria-1.1/#treegrid). See related [`aria-rowcount`](https://www.w3.org/TR/wai-aria-1.1/#aria-rowcount) and [`aria-rowspan`](https://www.w3.org/TR/wai-aria-1.1/#aria-rowspan).
    final String? ariaRowindex,

    /// Defines the number of rows spanned by a cell or gridcell within a [`table`](https://www.w3.org/TR/wai-aria-1.1/#table), [`grid`](https://www.w3.org/TR/wai-aria-1.1/#grid), or [`treegrid`](https://www.w3.org/TR/wai-aria-1.1/#treegrid). See related [`aria-rowindex`](https://www.w3.org/TR/wai-aria-1.1/#aria-rowindex) and [`aria-colspan`](https://www.w3.org/TR/wai-aria-1.1/#aria-colspan).
    final String? ariaRowspan,

    /// Indicates the current "selected" [state](https://www.w3.org/TR/wai-aria-1.1/#dfn-state) of various [widgets](https://www.w3.org/TR/wai-aria-1.1/#dfn-widget). See related [`aria-checked`](https://www.w3.org/TR/wai-aria-1.1/#aria-checked) and [`aria-pressed`](https://www.w3.org/TR/wai-aria-1.1/#aria-pressed).
    final String? ariaSelected,

    /// Defines the number of items in the current set of listitems or treeitems. Not required if all elements in the set are present in the DOM. See related [`aria-posinset`](https://www.w3.org/TR/wai-aria-1.1/#aria-posinset).
    final String? ariaSetsize,

    /// Indicates if items in a table or grid are sorted in ascending or descending order.
    final String? ariaSort,

    /// Defines the maximum allowed value for a range [widget](https://www.w3.org/TR/wai-aria-1.1/#dfn-widget).
    final String? ariaValuemax,

    /// Defines the minimum allowed value for a range [widget](https://www.w3.org/TR/wai-aria-1.1/#dfn-widget).
    final String? ariaValuemin,

    /// Defines the current value for a range [widget](https://www.w3.org/TR/wai-aria-1.1/#dfn-widget). See related [`aria-valuetext`](https://www.w3.org/TR/wai-aria-1.1/#aria-valuetext).
    final String? ariaValuenow,

    /// Defines the human readable text alternative of [`aria-valuenow`](https://www.w3.org/TR/wai-aria-1.1/#aria-valuenow) for a range [widget](https://www.w3.org/TR/wai-aria-1.1/#dfn-widget).
    final String? ariaValuetext,

    /// Identifies the [element](https://www.w3.org/TR/wai-aria-1.1/#dfn-element) that provides a detailed, extended description for the [object](https://www.w3.org/TR/wai-aria-1.1/#dfn-object). See related [`aria-describedby`](https://www.w3.org/TR/wai-aria-1.1/#aria-describedby).
    final String? ariaDetails,

    /// Indicates keyboard shortcuts that an author has implemented to activate or give focus to an element.
    final String? ariaKeyshortcuts,
    final Map<String, String?>? dataAttributes,
    final List<HTMLElement>? children,
  }) : super(
          'dl',
          attributes: [
            Attribute('accesskey', accessKey),
            Attribute('autocapitalize', autoCapitalize),
            Attribute('class', className),
            Attribute('contenteditable', contentEditable),
            Attribute('contextmenu', contextMenu),
            Attribute('dir', dir),
            Attribute('draggable', draggable),
            Attribute('dropzone', dropzone),
            Attribute('exportparts', exportparts),
            Attribute('hidden', hidden),
            Attribute('id', id),
            Attribute('inputmode', inputMode),
            Attribute('is', htmlIs),
            Attribute('itemid', itemId),
            Attribute('itemprop', itemProp),
            Attribute('itemref', itemRef),
            Attribute('itemscope', itemScope),
            Attribute('itemtype', itemType),
            Attribute('lang', lang),
            Attribute('part', part),
            Attribute('role', role),
            Attribute('slot', slot),
            Attribute('spellcheck', spellCheck),
            Attribute('style', style),
            Attribute('tabindex', tabIndex),
            Attribute('title', title),
            Attribute('translate', translate),
            Attribute('onabort', onAbort),
            Attribute('onblur', onBlur),
            Attribute('oncanplay', onCanPlay),
            Attribute('oncanplaythrough', onCanPlayThrough),
            Attribute('onchange', onChange),
            Attribute('onclick', onClick),
            Attribute('oncontextmenu', onContextMenu),
            Attribute('ondblclick', onDoubleClick),
            Attribute('ondrag', onDrag),
            Attribute('ondragend', onDragEnd),
            Attribute('ondragenter', onDragEnter),
            Attribute('ondragleave', onDragLeave),
            Attribute('ondragover', onDragOver),
            Attribute('ondragstart', onDragStart),
            Attribute('ondrop', onDrop),
            Attribute('ondurationchange', onDurationChange),
            Attribute('onemptied', onEmptied),
            Attribute('onended', onEnded),
            Attribute('onerror', onError),
            Attribute('onfocus', onFocus),
            Attribute('onformchange', onFormChange),
            Attribute('onforminput', onFormInput),
            Attribute('oninput', onInput),
            Attribute('oninvalid', onInvalid),
            Attribute('onkeydown', onKeyDown),
            Attribute('onkeypress', onKeyPress),
            Attribute('onkeyup', onKeyUp),
            Attribute('onload', onLoad),
            Attribute('onloadeddata', onLoadedData),
            Attribute('onloadedmetadata', onLoadedMetadata),
            Attribute('onloadstart', onLoadStart),
            Attribute('onmousedown', onMouseDown),
            Attribute('onmousemove', onMouseMove),
            Attribute('onmouseout', onMouseOut),
            Attribute('onmouseover', onMouseOver),
            Attribute('onmouseup', onMouseUp),
            Attribute('onmousewheel', onMouseWheel),
            Attribute('onmouseenter', onMouseEnter),
            Attribute('onmouseleave', onMouseLeave),
            Attribute('onpause', onPause),
            Attribute('onplay', onPlay),
            Attribute('onplaying', onPlaying),
            Attribute('onprogress', onProgress),
            Attribute('onratechange', onRateChange),
            Attribute('onreset', onReset),
            Attribute('onresize', onResize),
            Attribute('onreadystatechange', onReadyStateChange),
            Attribute('onscroll', onScroll),
            Attribute('onseeked', onSeeked),
            Attribute('onseeking', onSeeking),
            Attribute('onselect', onSelect),
            Attribute('onshow', onShow),
            Attribute('onstalled', onStalled),
            Attribute('onsubmit', onSubmit),
            Attribute('onsuspend', onSuspend),
            Attribute('ontimeupdate', onTimeUpdate),
            Attribute('onvolumechange', onVolumeChange),
            Attribute('onwaiting', onWaiting),
            Attribute('onpointercancel', onPointerCancel),
            Attribute('onpointerdown', onPointerDown),
            Attribute('onpointerenter', onPointerEnter),
            Attribute('onpointerleave', onPointerLeave),
            Attribute('onpointerlockchange', onPointerLockChange),
            Attribute('onpointerlockerror', onPointerLockError),
            Attribute('onpointermove', onPointerMove),
            Attribute('onpointerout', onPointerOut),
            Attribute('onpointerover', onPointerOver),
            Attribute('onpointerup', onPointerUp),
            Attribute('aria-activedescendant', ariaActivedescendant),
            Attribute('aria-atomic', ariaAtomic),
            Attribute('aria-autocomplete', ariaAutocomplete),
            Attribute('aria-busy', ariaBusy),
            Attribute('aria-checked', ariaChecked),
            Attribute('aria-colcount', ariaColcount),
            Attribute('aria-colindex', ariaColindex),
            Attribute('aria-colspan', ariaColspan),
            Attribute('aria-controls', ariaControls),
            Attribute('aria-current', ariaCurrent),
            Attribute('aria-describedby', ariaDescribedby),
            Attribute('aria-disabled', ariaDisabled),
            Attribute('aria-dropeffect', ariaDropeffect),
            Attribute('aria-errormessage', ariaErrormessage),
            Attribute('aria-expanded', ariaExpanded),
            Attribute('aria-flowto', ariaFlowto),
            Attribute('aria-grabbed', ariaGrabbed),
            Attribute('aria-haspopup', ariaHaspopup),
            Attribute('aria-hidden', ariaHidden),
            Attribute('aria-invalid', ariaInvalid),
            Attribute('aria-label', ariaLabel),
            Attribute('aria-labelledby', ariaLabelledby),
            Attribute('aria-level', ariaLevel),
            Attribute('aria-live', ariaLive),
            Attribute('aria-modal', ariaModal),
            Attribute('aria-multiline', ariaMultiline),
            Attribute('aria-multiselectable', ariaMultiselectable),
            Attribute('aria-orientation', ariaOrientation),
            Attribute('aria-owns', ariaOwns),
            Attribute('aria-placeholder', ariaPlaceholder),
            Attribute('aria-posinset', ariaPosinset),
            Attribute('aria-pressed', ariaPressed),
            Attribute('aria-readonly', ariaReadonly),
            Attribute('aria-relevant', ariaRelevant),
            Attribute('aria-required', ariaRequired),
            Attribute('aria-roledescription', ariaRoledescription),
            Attribute('aria-rowcount', ariaRowcount),
            Attribute('aria-rowindex', ariaRowindex),
            Attribute('aria-rowspan', ariaRowspan),
            Attribute('aria-selected', ariaSelected),
            Attribute('aria-setsize', ariaSetsize),
            Attribute('aria-sort', ariaSort),
            Attribute('aria-valuemax', ariaValuemax),
            Attribute('aria-valuemin', ariaValuemin),
            Attribute('aria-valuenow', ariaValuenow),
            Attribute('aria-valuetext', ariaValuetext),
            Attribute('aria-details', ariaDetails),
            Attribute('aria-keyshortcuts', ariaKeyshortcuts),
            Attribute<Map<String, String?>?>('data', dataAttributes),
          ],
          children: children,
        );
}
